#!/usr/bin/env python

import os
import sys
import commands

po_dir = 'translations/po'

files = os.listdir(po_dir)

po_files = []
for file in files:
    if file.split('.')[-1] == "po":
        po_files.append(os.path.join(po_dir,file))

for po in po_files:
    lang = po.split('-')[-1]
    lang = lang.split('.')[0]

    lang_dir = os.path.join('share/locale',lang)

    if not os.path.isdir(lang_dir):
        os.mkdir(lang_dir)
    
    lang_lc_dir = os.path.join(lang_dir,'LC_MESSAGES')
    if not os.path.isdir(lang_lc_dir):
        os.mkdir(lang_lc_dir)
    
    output = commands.getoutput("msgfmt '"+po+"' -o '"+
            os.path.join(lang_lc_dir,"metacity-themer"+".mo'"))

    print output
