#!/usr/bin/env python

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, 
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# Authors: Isaiah Heyer (freshapplepy@gmail.com)

# Copyright (C) 2008 Isaiah Heyer

import re

def fix(filename):
    
    end_of_elem_re = re.escape("/><")
    end_of_elem_re = re.compile(end_of_elem_re)

    file = open(filename,'r+')
    string = file.read()
            
    string = end_of_elem_re.sub("/>\n<",string)
    
    file.close()

    file = open(filename,'w')
    file.write(string)
    file.close()

if __name__ == "__main__":
    fix('/home/isaiah/.themes/test/metacity-1/metacity-theme-1.xml')
